#Die Bilder erde.png und mond1.png müssen hochgeladen werden
from sas_pygame import *
view = createView(600, 400, colour="black", title="Erde–Mond")
cx, cy = view.width // 2, view.height // 2
erde_radius = 80
erde = Circle(cx - erde_radius, cy - erde_radius, erde_radius, "blue")
mond_radius = 25
orbit_radius = 180
angle_step = 2
mond = Circle(cx + orbit_radius - mond_radius, cy - mond_radius, mond_radius, "gray")
erde.loadTexture("erde.png")
mond.loadTexture("mond1.png")
while view.running:
    view.step()
    mond.turn(cx, cy, angle_step)
view.quit()